FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo Development

 
 
LinkBack Thread Tools
 
Old 01-16-2012, 09:05 PM
Michał Górny
 
Default Autoreconf on user patches only.

Right now, any patch which modifies common autotools source files
triggers autoreconf. In some cases, this causes the package to be
reconfigured twice -- once by the eclass, and the second time by the
ebuild.

To avoid that, trigger autoreconfiguration only when user patches modify
these files.
---
autotools-utils.eclass | 5 +++--
1 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/autotools-utils.eclass b/autotools-utils.eclass
index 4f54814..559ef0a 100644
--- a/autotools-utils.eclass
+++ b/autotools-utils.eclass
@@ -359,8 +359,9 @@ autotools-utils_src_prepare() {

local want_autoreconf=${AUTOTOOLS_AUTORECONF}

- touch "${T}"/.autotools-utils.timestamp || die
[[ ${PATCHES} ]] && epatch "${PATCHES[@]}"
+
+ touch "${T}"/.autotools-utils.timestamp || die
epatch_user
if [[ ! ${want_autoreconf} ]]; then
if [[ $(find . -newer "${T}"/.autotools-utils.timestamp
@@ -368,7 +369,7 @@ autotools-utils_src_prepare() {
-o -name 'configure.ac'
-o -name 'configure.in' ')'
-print -quit) ]]; then
- einfo 'Will autoreconfigure due to patches applied.'
+ einfo 'Will autoreconfigure due to user patches applied.'
want_autoreconf=yep
fi
fi
--
1.7.8.3
 

Thread Tools




All times are GMT. The time now is 02:57 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org